<?php
/**
 * Block Patterns
 *
 * @package fse_barber_shop
 * @since 1.0
 */

function fse_barber_shop_register_block_patterns() {
	$fse_barber_shop_block_pattern_categories = array(
		'fse-barber-shop' => array( 'label' => esc_html__( 'FSE Barber Shop', 'fse-barber-shop' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'fse-barber-shop' ) ),
	);

	$fse_barber_shop_block_pattern_categories = apply_filters( 'fse_barber_shop_fse_barber_shop_block_pattern_categories', $fse_barber_shop_block_pattern_categories );

	foreach ( $fse_barber_shop_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'fse_barber_shop_register_block_patterns', 9 );